Compatibility issue NodeBB 1.x.x??



  • Re: nodebb-plugin-charts

    I am trying install charts plug-in but doesn' look like it's working.

    Here is my log information:
    10/5 08:11 [7728] - warn: [plugins/load] The following plugins may not b
    e compatible with your version of NodeBB. This may cause unintended behaviour or
    crashing. In the event of an unresponsive NodeBB caused by this plugin, run ./ nodebb reset -p PLUGINNAME to disable it.

    • nodebb-plugin-charts
    • nodebb-plugin-spam-be-gone

    Using given the metadata in example in the body of post simply does not interpret and appears as the text data.

    Any idea?

    Thanks.


  • Community Rep

    It's very old. The parsing hook has since changed in name and signature. It also tries to put raw JS into the post, which just gets escaped out, even if you correct the hook. It would need to be rebuilt so that it saves the chart data server side and retrieves it with websockets, like the poll plugin.



  • @yariplus
    Thanks. What is the alternative are there any similar charting capability available?


  • Community Rep

    I haven't seen anything else. The only alternative I can think of is using an online tool that has embed-able charts, and adding a little custom JS to call their embed code.



  • @yariplus Thank you.


Log in to reply
 

Looks like your connection to NodeBB was lost, please wait while we try to reconnect.